import React from "react";

interface ITestIconProps {
  className?: string;
  color?: string;
}

function TestIcon({ className, color }: ITestIconProps) {
  return (
    <svg
      className={className}
      xmlns="http://www.w3.org/2000/svg"
      width="7"
      height="8"
      viewBox="0 0 7 8"
    >
      <g>
        <path
          fill={color ?? "#df99fb"}
          d="M6 0l2 3.5L6 7H2L0 3.5 2 0z"
          transform="translate(-18052.5 -11680) rotate(90 3189.75 14869.75)"
        />

        <path
          fill="#fffffd"
          d="M4.5 0L6 2.5 4.5 5h-3L0 2.5 1.5 0z"
          transform="translate(-18052.5 -11680) rotate(90 3188.75 14869.75)"
        />
      </g>
    </svg>
  )
}

export default TestIcon;
