import axios from 'axios';
import https from 'https';
import qs from 'query-string';
// import envConfig, {isMobileEnv} from 'shared/envConfig';
// import {CLIENT_NETWORK_TIMEOUT, SERVER_NETWORK_TIMEOUT} from 'shared/constant';
// import {CustomRequest} from 'server/type';

axios.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded';

const fetcher = axios.create({
  baseURL: "https://api.nazipsa.kr/api/v1",
  // withCredentials: true,
  paramsSerializer: (params) => qs.stringify(params),
  httpsAgent: new https.Agent({
    rejectUnauthorized: false,
  }),
  maxRedirects: 0,
});

// export function registerClientInterceptors() {
//   fetcher.defaults.timeout = CLIENT_NETWORK_TIMEOUT;
// }

export const registerServerInterceptors = function(req: any) {
  // fetcher.defaults.timeout = SERVER_NETWORK_TIMEOUT;
  // @ts-ignore
  // TODO : 테스트 코드작성하기
  fetcher.interceptors.request.handlers = [];
  fetcher.interceptors.request.use((config) => {
    // ServerToServer API호출시 Referer *.blog.naver.com 도메인 확인함
    // config.headers.referer = envConfig.locationOrigin;
    // nxBlocker를 막기 위해 header에 client IP를 전달 (PC)
    // if (!isMobileEnv) {
      // PC인 경우에만 n-client-ip를 적용
      // config.headers['n-client-ip'] = req.clientIp;
    // }
    if (req.headers.cookie) {
      config.headers.cookie = req.headers.cookie;
    }
    return config;
  });

  // @ts-ignore
  fetcher.interceptors.response.handlers = [];
  fetcher.interceptors.response.use((response) => {
    console.log(
      `[${new Date().toISOString()}] [API] ${response?.config?.url} - ${response?.statusText} (${
        response?.status
      })`,
    );
    return response;
  });
};

export default fetcher;
